
package de.ivu.elect.business.stimmeingabe.boundary;

import java.io.Serializable;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfiguration;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class StimmeingabePlausiKonfigurationFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public StimmeingabePlausiKonfiguration create() {
        StimmeingabePlausiKonfiguration entity = new StimmeingabePlausiKonfiguration(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(StimmeingabePlausiKonfiguration entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
